Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.beacm
Interface ICmCalendarContainer

All Superinterfaces
  ICalendarContainer, IContainer, IGroupwareContainer, IItem, Serializable

    public interface ICmCalendarContainer

extends ICalendarContainer

Interface provides a definition for a CM specific implementation of a calendar container

Field Summary
`static ContainerClass` | `CLASS` Defines an item class for the CM specific calendar container implementation

Fields inherited from interface com.compoze.collab.groupware.IGroupwareContainer
`KEYID_TOTAL_ITEM_COUNT, KEYID_UNREAD_ITEM_COUNT, TOTAL_ITEM_COUNT, UNREAD_ITEM_COUNT`

Fields inherited from interface com.compoze.collab.IContainer
`CONTAINER_CLASS, HAS_SUBCONTAINERS, HOLDS_ITEMS, HOLDS_SUBCONTAINERS, KEYID_CONTAINER_CLASS, KEYID_HAS_SUBCONTAINERS, KEYID_HOLDS_ITEMS, KEYID_HOLDS_SUBCONTAINERS, KEYID_NAME, KEYID_SUBCONTAINER_COUNT, MINIMUM_CONTAINER_KEYS, NAME, SUBCONTAINER_COUNT`

Fields inherited from interface com.compoze.collab.IItem
`ID, ITEM_CLASS, KEYID_ID, KEYID_ITEM_CLASS, KEYID_PARENT_ID, MINIMUM_ITEM_KEYS, PARENT_ID`

Method Summary
`IAppointment` | `getAppointmentByID(String sId, Date instanceDate, FetchProfile profile)` Gets an appointment on a specific date.
`IAppointment[]` | `getAppointments(Date startDate, Date endDate, FetchProfile profile, Sort sort)` Gets appointments for a specific date range.

Methods inherited from interface com.compoze.collab.groupware.ICalendarContainer
`getAppointments, getAppointments, getAppointments`

Methods inherited from interface com.compoze.collab.groupware.IGroupwareContainer
`getTotalItemCount, getUnreadItemCount`

Methods inherited from interface com.compoze.collab.IContainer
`add, add, add, addSubcontainer, copyTo, getContainerClass, getItemCount, getItemCount, getItems, getItems, getItems, getItems, getItems, getName, getSubcontainer, getSubcontainer, getSubcontainers, getSubcontainers, hasSubcontainer, holdsItems, holdsSubcontainers, isUnder, moveTo, setName`

Methods inherited from interface com.compoze.collab.IItem
`commit, containsKey, containsKey, copyProperties, delete, fetchProperties, getAttribute, getEnum, getID, getInputStream, getItemClass, getOutputStream, getParent, getParent, getParentID, getProperties, getProperties, getProperties, getProperty, getProperty, getProperty, getReader, getRootContainer, getSession, getWriter, isMissing, removeAttribute, removeProperty, setAttribute, setProperties, setProperty, setProperty, setProperty`

Field Detail

### CLASS

    static final ContainerClass CLASS

  Defines an item class for the CM specific calendar container implementation

Method Detail

### getAppointmentByID

    IAppointment getAppointmentByID(String sId,
                                    Date instanceDate,
                                    FetchProfile profile)
                                    throws CollaborationException

  Gets an appointment on a specific date. If the appointment is not recurring, returns `null` or an instance of the non-recurring appointment if it happened to occur on `date`.

  Parameters
    `sId` - the id of an appointment. Not `null`
    `instanceDate` - the instance date of an appointment. Not `null`
  Throws
    `CollaborationException`

### getAppointments

    IAppointment[] getAppointments(Date startDate,
                                   Date endDate,
                                   FetchProfile profile,
                                   Sort sort)
                                   throws CollaborationException

  Gets appointments for a specific date range.

  Parameters
    `startDate` - start date of the range. Not `null`
    `endDate` - end date of the range. Not `null`
    `profile` - specifies which properties to load
    `sort` - specifies the sort
  Throws
    `CollaborationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved